﻿//Copyright Notice:  ©2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Runtime.Serialization;
using System.Collections.ObjectModel;

[assembly: CLSCompliant(true)]

namespace Microsoft.InformationSecurity.CISF.Security.AuthZServices
{
    /// <summary>
    /// Container for Person data.
    /// </summary>
    [DataContract]
    [Serializable]
    public class User
    {
        #region Contracts

        [DataMember]
        public int PersonId 
        {
            set;
            get;
        }  //DB

        [DataMember]
        public string FullName{
            set;
            get;
        }  //DB

        [DataMember]
        public string EMailName
        {
            set;
            get;
        }  //DB

        [DataMember]
        public string DisplayName
        {
            set;
            get;
        } //AD

        [DataMember]
        public int PersonnelNumber
        {
            set;
            get;
        }  //AD

        [DataMember]
        public string Alias
        {
            set;
            get;
        }  //AD

        [DataMember]
        public string[] Roles
        {
            set;
            get;
        }  //DB

        #endregion

    }
}
