// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Runtime.Serialization;


namespace Microsoft.InformationSecurity.ISRM.TaskManagment.Classes
{
    /// <summary>
    /// Status of a task
    /// </summary>
    public class TaskStatus
    {
        /// <summary>
        /// ID of the status
        /// </summary>
        public int ID { set; get; }

        /// <summary>
        /// Name of the task status
        /// </summary>
        public string Name { set; get; }

        /// <summary>
        /// Number of tasks for this status
        /// </summary>
        public int TaskCount { set; get; }
    }
}
