// © 2009 Microsoft Corporation.  All rights reserved.
using Microsoft.InformationSecurity.ISRM.TaskManagment.Classes;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace UnitTests
{
    
    
    /// <summary>
    ///This is a test class for BusinessObjectTest and is intended
    ///to contain all BusinessObjectTest Unit Tests
    ///</summary>
    [TestClass()]
    public class BusinessObjectTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Type
        ///</summary>
        [TestMethod()]
        public void TypeTest()
        {
            BusinessObject target = new BusinessObject();
            string expected = "Tasks";
            string actual;
            target.Type = expected;
            actual = target.Type;
            Assert.AreEqual(expected, actual,"BusinessObject.Type does not work as expected");
        }

        /// <summary>
        ///A test for Name
        ///</summary>
        [TestMethod()]
        public void NameTest()
        {
            BusinessObject target = new BusinessObject();
            string expected = "Some Task";
            string actual;
            target.Name = expected;
            actual = target.Name;
            Assert.AreEqual(expected, actual, "BusinessObject.Name does not work as expected");
        }

        /// <summary>
        ///A test for ID
        ///</summary>
        [TestMethod()]
        public void IDTest()
        {
            BusinessObject target = new BusinessObject();
            int expected = 26; 
            int actual;
            target.ID = expected;
            actual = target.ID;
            Assert.AreEqual(expected, actual, "BusinessObject.ID does not work as expected");
        }

        /// <summary>
        ///A test for BusinessObject Constructor
        ///</summary>
        [TestMethod()]
        public void BusinessObjectConstructorTest()
        {
            BusinessObject target = new BusinessObject();
            Assert.IsNotNull(target, "BusinessObject Constructor does not work as expected");
        }
    }
}
