// © 2009 Microsoft Corporation.  All rights reserved.
using Microsoft.InformationSecurity.ISRM.TaskManagment.Classes;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Collections.Generic;
using System;

namespace UnitTests
{
    
    
    /// <summary>
    ///This is a test class for NotificationsTest and is intended
    ///to contain all NotificationsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class NotificationsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion



        /// <summary>
        ///A test for UpdateNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void UpdateNotificationScheduleTest()
        {
            NotificationSchedule notificationSchedule = null; // TODO: Initialize to an appropriate value
            Notifications.UpdateNotificationSchedule(notificationSchedule);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for UpdateNotificationContent
        ///</summary>
        [TestMethod()]
        public void UpdateNotificationContentTest()
        {
            NotificationContent content = null; // TODO: Initialize to an appropriate value
            Notifications.UpdateNotificationContent(content);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for SetDefaultNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void SetDefaultNotificationScheduleTest()
        {
            int notificationScheduleID = 0; // TODO: Initialize to an appropriate value
            string username = string.Empty; // TODO: Initialize to an appropriate value
            Notifications.SetDefaultNotificationSchedule(notificationScheduleID, username);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for GetUniqueNotificationContents
        ///</summary>
        [TestMethod()]
        public void GetUniqueNotificationContentsTest()
        {
            string notificationIDs = string.Empty; // TODO: Initialize to an appropriate value
            List<NotificationContent> expected = null; // TODO: Initialize to an appropriate value
            List<NotificationContent> actual;
            actual = Notifications.GetUniqueNotificationContents(notificationIDs);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotificationsUsers
        ///</summary>
        [TestMethod()]
        public void GetNotificationsUsersTest()
        {
            string notificationIDs = string.Empty; // TODO: Initialize to an appropriate value
            Dictionary<int, List<int>> expected = null; // TODO: Initialize to an appropriate value
            Dictionary<int, List<int>> actual;
            actual = Notifications.GetNotificationsUsers(notificationIDs);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotificationSchedules
        ///</summary>
        [TestMethod()]
        public void GetNotificationSchedulesTest1()
        {
            int userID = 0; // TODO: Initialize to an appropriate value
            List<NotificationSchedule> expected = null; // TODO: Initialize to an appropriate value
            List<NotificationSchedule> actual;
            actual = Notifications.GetNotificationSchedules(userID);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotificationSchedules
        ///</summary>
        [TestMethod()]
        public void GetNotificationSchedulesTest()
        {
            List<NotificationSchedule> expected = null; // TODO: Initialize to an appropriate value
            List<NotificationSchedule> actual;
            actual = Notifications.GetNotificationSchedules();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void GetNotificationScheduleTest()
        {
            int scheduleID = 0; // TODO: Initialize to an appropriate value
            NotificationSchedule expected = null; // TODO: Initialize to an appropriate value
            NotificationSchedule actual;
            actual = Notifications.GetNotificationSchedule(scheduleID);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotificationContents
        ///</summary>
        [TestMethod()]
        public void GetNotificationContentsTest()
        {
            List<NotificationContent> expected = null; // TODO: Initialize to an appropriate value
            List<NotificationContent> actual;
            actual = Notifications.GetNotificationContents();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetNotification
        ///</summary>
        [TestMethod()]
        public void GetNotificationTest()
        {
            int notificationID = 0; // TODO: Initialize to an appropriate value
            Notification expected = null; // TODO: Initialize to an appropriate value
            Notification actual;
            actual = Notifications.GetNotification(notificationID);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetDefaultNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void GetDefaultNotificationScheduleTest()
        {
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            actual = Notifications.GetDefaultNotificationSchedule();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetAssignedNotifications
        ///</summary>
        [TestMethod()]
        public void GetAssignedNotificationsTest()
        {
            List<Notification> expected = null; // TODO: Initialize to an appropriate value
            List<Notification> actual;
            actual = Notifications.GetAssignedNotifications();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DeleteNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void DeleteNotificationScheduleTest()
        {
            int notificationScheduleID = 0; // TODO: Initialize to an appropriate value
            Notifications.DeleteNotificationSchedule(notificationScheduleID);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for DeleteNotificationContent
        ///</summary>
        [TestMethod()]
        public void DeleteNotificationContentTest()
        {
            int contentID = 0; // TODO: Initialize to an appropriate value
            Notifications.DeleteNotificationContent(contentID);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for AddProcesssedNotification
        ///</summary>
        [TestMethod()]
        public void AddProcesssedNotificationTest()
        {
            int notificationID = 0; // TODO: Initialize to an appropriate value
            DateTime processedDate = new DateTime(); // TODO: Initialize to an appropriate value
            Notifications.AddProcesssedNotification(notificationID, processedDate);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for AddNotificationSchedule
        ///</summary>
        [TestMethod()]
        public void AddNotificationScheduleTest()
        {
            NotificationSchedule notificationSchedule = null; // TODO: Initialize to an appropriate value
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            actual = Notifications.AddNotificationSchedule(notificationSchedule);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for AddNotificationContent
        ///</summary>
        [TestMethod()]
        public void AddNotificationContentTest()
        {
            NotificationContent content = null; // TODO: Initialize to an appropriate value
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            actual = Notifications.AddNotificationContent(content);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Notifications Constructor
        ///</summary>
        [TestMethod()]
        public void NotificationsConstructorTest()
        {
            Notifications target = new Notifications();
            Assert.Inconclusive("TODO: Implement code to verify target");
        }
    }
}
