// © 2009 Microsoft Corporation.  All rights reserved.
using Microsoft.InformationSecurity.ISRM.TaskManagment.Classes;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;

namespace UnitTests
{
    
    
    /// <summary>
    ///This is a test class for TaskTest and is intended
    ///to contain all TaskTest Unit Tests
    ///</summary>
    [TestClass()]
    public class TaskTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for SubTasks
        ///</summary>
        [TestMethod()]
        public void SubTasksTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            List<Task> expected = null; // TODO: Initialize to an appropriate value
            List<Task> actual;
            target.SubTasks = expected;
            actual = target.SubTasks;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Status
        ///</summary>
        [TestMethod()]
        public void StatusTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            TaskStatus expected = null; // TODO: Initialize to an appropriate value
            TaskStatus actual;
            target.Status = expected;
            actual = target.Status;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for NotificationSchedule
        ///</summary>
        [TestMethod()]
        public void NotificationScheduleTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            NotificationSchedule expected = null; // TODO: Initialize to an appropriate value
            NotificationSchedule actual;
            target.NotificationSchedule = expected;
            actual = target.NotificationSchedule;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for LastUpdatedDate
        ///</summary>
        [TestMethod()]
        public void LastUpdatedDateTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            target.LastUpdatedDate = expected;
            actual = target.LastUpdatedDate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for LastUpdatedBy
        ///</summary>
        [TestMethod()]
        public void LastUpdatedByTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            target.LastUpdatedBy = expected;
            actual = target.LastUpdatedBy;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for HoursSpent
        ///</summary>
        [TestMethod()]
        public void HoursSpentTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            int expected = 0; // TODO: Initialize to an appropriate value
            int actual;
            target.HoursSpent = expected;
            actual = target.HoursSpent;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Group
        ///</summary>
        [TestMethod()]
        public void GroupTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            Group expected = null; // TODO: Initialize to an appropriate value
            Group actual;
            target.Group = expected;
            actual = target.Group;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for DueDate
        ///</summary>
        [TestMethod()]
        public void DueDateTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            target.DueDate = expected;
            actual = target.DueDate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Description
        ///</summary>
        [TestMethod()]
        public void DescriptionTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            target.Description = expected;
            actual = target.Description;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CreatedDate
        ///</summary>
        [TestMethod()]
        public void CreatedDateTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            target.CreatedDate = expected;
            actual = target.CreatedDate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CreatedBy
        ///</summary>
        [TestMethod()]
        public void CreatedByTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            target.CreatedBy = expected;
            actual = target.CreatedBy;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Category
        ///</summary>
        [TestMethod()]
        public void CategoryTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            Category expected = null; // TODO: Initialize to an appropriate value
            Category actual;
            target.Category = expected;
            actual = target.Category;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for BusinessObject
        ///</summary>
        [TestMethod()]
        public void BusinessObjectTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            BusinessObject expected = null; // TODO: Initialize to an appropriate value
            BusinessObject actual;
            target.BusinessObject = expected;
            actual = target.BusinessObject;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for AssignedTo
        ///</summary>
        [TestMethod()]
        public void AssignedToTest()
        {
            Task target = new Task(); // TODO: Initialize to an appropriate value
            User expected = null; // TODO: Initialize to an appropriate value
            User actual;
            target.AssignedTo = expected;
            actual = target.AssignedTo;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Task Constructor
        ///</summary>
        [TestMethod()]
        public void TaskConstructorTest()
        {
            Task target = new Task();
            Assert.Inconclusive("TODO: Implement code to verify target");
        }
    }
}
