// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Activation;

          
namespace Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Risks
{
    // NOTE: If you change the class name "IProxyRisk" here, you must also update the reference to "IProxyRisk" in Web.config.
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class ProxyRisk : IProxyRisk
    {
        public string[] GetCompletionList(string prefixText, int count)
        {
            string[] listAliases = null;
            RiskService.ManageRiskClient riskServiceClient = new RiskService.ManageRiskClient();
            listAliases = riskServiceClient.GetTOPNAliases(prefixText);
            riskServiceClient.Close();

            return listAliases;
        }
    }
}
