﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RighthandMenuControl.ascx.cs"
    Inherits="Microsoft.InformationSecurity.RiskManagement.ISRMWeb.UserControls.RighthandMenuControl" %>
<script language="javascript">
    function CollapseRightMenuItem() {
        var clickedRightMenuItem = window.event.srcElement;
        if (clickedRightMenuItem != null) {
            var relatedContent = clickedRightMenuItem.parentElement.nextSibling;
            if (relatedContent != null) {
                if (relatedContent.style.display == "none") {
                    relatedContent.style.display = "block";
                    clickedRightMenuItem.className = "RightMenuGroupExpand";
                    clickedRightMenuItem.alt = "Collapse";
                }
                else {
                    relatedContent.style.display = "none";
                    clickedRightMenuItem.className = "RightMenuGroupCollapse";
                    clickedRightMenuItem.alt = "Expand";
                }
            }
        }    
    }
</script>

<div>
    <asp:Repeater ID="ThirdLevelMenuRepeater" runat="server" OnItemDataBound="ThirdLevelMenuRepeater_ItemDataBound">
        <HeaderTemplate>
            <div id="righthand_navcontainer">
                <div id="RightHand_Menu">
                    <div id="RightHand_MenuHeader">Actions</div>
                    <ul id="righthand_menuroot">
        </HeaderTemplate>
        <ItemTemplate>
            <li>
                <div class="RightHand_SubMenuHeader">
                    <asp:HyperLink ID="ThirdLevelMenu" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Url") %>'
                        Text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' ToolTip='<%# DataBinder.Eval(Container.DataItem, "Desc") %>'>
                    </asp:HyperLink>
                    <img src="../Images/spacer.gif" alt="Collapse" onclick="javascript:CollapseRightMenuItem();" class="RightMenuGroupExpand" />
                </div>
                <asp:Repeater ID="FourthLevelMenuRepeater" runat="server" >
                    <HeaderTemplate>
                        <ul id="righthand_menusecondlevel">
                    </HeaderTemplate>
                    <ItemTemplate>
                        <li>
                            <asp:HyperLink ID="FourthLevelMenu" runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Url") %>'
                                Text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' ToolTip='<%# DataBinder.Eval(Container.DataItem, "Desc") %>'>
                            </asp:HyperLink>
                        </li>
                    </ItemTemplate>
                    <FooterTemplate>
                        </ul>
                    </FooterTemplate>
                </asp:Repeater>                
            </li>
        </ItemTemplate>
        <FooterTemplate>
                    </ul>
                </div>
            </div>
        </FooterTemplate>
    </asp:Repeater>
</div>
