﻿#region Copyrights Notice
//©2009 Microsoft Corporation.  All rights reserved.
//This portal design is based on the design and some code from DropThings.com which is also licensed under an MS-PL license.
#endregion


using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Microsoft.InformationSecurity.CISF.Portal.Business.PortalFramework;
using Microsoft.InformationSecurity.CISF.Portal.Business;



namespace Microsoft.InformationSecurity.RiskManagement.ISRMWeb.UserControls
{
    public partial class ContainerHeader : System.Web.UI.UserControl
    {

        public IWebletActions  Super;

       public  Label Title
        {
            get
            {
                return WidgetTitle;
            }
        }
       public LinkButton CloseLinkButton
       {
           get
           {
               return CloseWidget;
           }
       }

       public LinkButton ExpandLinkButton
       {
           get
           {
               return ExpandButton;
           }
       }


       public LinkButton CollapseLinkButton
       {
           get
           {
               return CollapseButton;
           }
       }



        protected void CollapseButton_Click(object sender, EventArgs e)
        {
        //IWebletActions
        Super.Minimize();
        //NTODO
        }

        protected void ExpandButton_Click(object sender, EventArgs e)
        {
            //
        Super.Maximize();
        }

        protected void EditButton_Click(object sender, EventArgs e)
        {
        Super.UpdateSettings();
            //
        }

        protected void CloseWidget_Click(object sender, EventArgs e)
        {
        Super.Close();
            //
        }

        protected void CancelEditWidget_Click(object sender, EventArgs e)
        {
        Super.UpdateSettings();
        }
    }
}