﻿#region Copyrights Notice
//©2009 Microsoft Corporation.  All rights reserved.
//This portal design is based on the design and some code from DropThings.com which is also licensed under an MS-PL license.
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.InformationSecurity.CISF.Portal.Business
{
    public class SingleWeblet
    {
        private Int32 m_nControlID;
        private string _Name;
        private string _Url;
        private string _Description;
        private DateTime _CreatedDate;
        private DateTime _LastUpdate;
        private int _VersionNo;
        private bool _IsDefault;
        private string _DefaultState;
        private string _Icon;
        private int _OrderNo;

        public SingleWeblet()
        {

        }

        public Int32 WidgetId
        {
            get { return m_nControlID; }
            set { m_nControlID = value; }
        }
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
        public string Url
        {
            get { return _Url; }
            set { _Url = value; }
        }
        public string Description
        {
            get { return _Description; }
            set { _Description = value; }
        }
        public DateTime CreatedDate
        {
            get { return _CreatedDate; }
            set { _CreatedDate = value; }
        }
        public DateTime LastUpdate
        {
            get { return _LastUpdate; }
            set { _LastUpdate = value; }
        }
        public int VersionNo
        {
            get { return _VersionNo; }
            set { _VersionNo = value; }
        }
        public bool IsDefault
        {
            get { return _IsDefault; }
            set { _IsDefault = value; }
        }
        public string DefaultState
        {
            get { return _DefaultState; }
            set { _DefaultState = value; }
        }
        public string Icon
        {
            get { return _Icon; }
            set { _Icon = value; }
        }
        public int OrderNo
        {
            get { return _OrderNo; }
            set { _OrderNo = value; }
        }
    }
}
