// © 2009 Microsoft Corporation.  All rights reserved.
#region Namespaces

using System;

#endregion

namespace Microsoft.InformationSecurity.Risk.DataEntity
{
    public class Incident
    {
        public int RiskID
        {
            get;
            set;
        }

        public string Title
        {
            set;
            get;
        }

        public string SubmittedBy
        {
            set;
            get;
        }

        public string UpdatedBy
        {
            set;
            get;
        }

        public string Desc
        {
            set;
            get;
        }

        public int IncidentID
        {
            set;
            get;
        }

        public DateTime SubmittedDate
        {
            get;
            set;
        }

        public string UpdatedDate
        {
            get;
            set;
        }
    }
}
