// © 2009 Microsoft Corporation.  All rights reserved.
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Microsoft.InformationSecurity.ISRM.TaskManagment.NotificationsService
{
    internal class Notification
    {
        /// <summary>
        /// To addresses
        /// </summary>
        public List<string> To 
        {
            set;
            get;
        }

        /// <summary>
        /// Subject of the notification
        /// </summary>
        public string Subject
        {
            set;
            get;
        }

        /// <summary>
        /// Body of the notification
        /// </summary>
        public string Body
        {
            set;
            get;
        }

        /// <summary>
        /// Public constructor
        /// </summary>
        public Notification() 
        {
            this.To = new List<string>();
        }
    }
}
