﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CreateNotificationSchedule.ascx.cs"
    Inherits="Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Tasks.CreateNotificationSchedule" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<table border="0" cellpadding="1" cellspacing="2" width="100%">
    <tr>
        <td colspan="3">
            <asp:UpdatePanel ID="upnlPageHeader" runat="server">
                <ContentTemplate>
                    <table cellpadding="0" cellspacing="0" border="0" width="100%">
                        <tr>
                            <td align="left" valign="middle" width="40">
                                <img src="../Images/EmailAdd-32.png" alt="Add Notification Schedules" />
                            </td>
                            <td valign="middle">
                                <asp:Label runat="server" ID="lblPageHeader" Text="" CssClass="labelPageheader"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <hr />
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </td>
    </tr>
    <tr>
        <td colspan="3">
            &nbsp;
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label runat="server" ID="lblErrorMessage" Text="*" ForeColor="Red" />
            <asp:Label ID="lblNameLabel" runat="server" Text="Name:" CssClass="headerlabel"></asp:Label>
        </td>
        <td colspan="2">
            <asp:UpdatePanel ID="UpdatePanel7" runat="server">
                <ContentTemplate>
                    <asp:TextBox ID="txtName" runat="server" Width="250" MaxLength="100"></asp:TextBox>
                    <cc1:FilteredTextBoxExtender ID="fteTxtName" runat="server" FilterMode="ValidChars"
                        FilterType="Custom" ValidChars="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-:()_ "
                        TargetControlID="txtName">
                    </cc1:FilteredTextBoxExtender>
                    <cc1:TextBoxWatermarkExtender ID="waterMarkName" runat="server" TargetControlID="txtName"
                        WatermarkText="Enter Name here..." WatermarkCssClass="watermark" />
                </ContentTemplate>
            </asp:UpdatePanel>
        </td>
    </tr>
    <tr>
        <td valign="top">
            &nbsp;&nbsp;<asp:Label ID="lblNotificationLabel" runat="server" Text="Notifications:"
                CssClass="headerlabel"></asp:Label>
        </td>
        <td>
            <asp:UpdatePanel ID="UpdatePanel4" runat="server">
                <ContentTemplate>
                    <asp:ListBox ID="lstNotifications" runat="server" Width="255" Height="80"></asp:ListBox>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="btnNotificationSave" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnDelete" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
        </td>
        <td>
            <asp:Button ID="btnAdd" runat="server" Text="Add" Width="50" OnClick="btnAdd_Click"
                UseSubmitBehavior="false" /><br />
            <asp:Button ID="btnEdit" runat="server" Text="Edit" Width="50" UseSubmitBehavior="false"
                OnClick="btnEdit_Click" /><br />
            <asp:Button ID="btnDelete" runat="server" Text="Delete" Width="50" OnClick="btnDelete_Click" /><br />
        </td>
</table>
<asp:Panel ID="pnlAddNotification" runat="server" CssClass="modalWindow" Width="450"
    Height="360" Style="display: none;">
    <asp:UpdatePanel ID="UpdatePanel5" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <table border="0" cellpadding="1" cellspacing="2" width="100%">
                <tr>
                    <td colspan="2">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr>
                                <td align="left" valign="middle" width="40">
                                    <img src="../Images/EmailAdd-32.png" alt="Add Notification" />
                                </td>
                                <td valign="middle">
                                    <asp:Label runat="server" ID="lblHeader" Text="" CssClass="labelPageheader"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <hr />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblToLabel" runat="server" Text="To:" CssClass="headerlabel"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtTo" runat="server" Width="195" MaxLength="255"></asp:TextBox>
                        <asp:Panel ID="pnlTo" runat="server" Width="195" CssClass="dropDownPanel">
                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="contextMenuItem" onclick="document.getElementById('<%=this.txtTo.ClientID%>').value=this.innerText;">
                                        $TaskOwner$
                                    </td>
                                </tr>
                                <tr>
                                    <td class="contextMenuItem" onclick="document.getElementById('<%=this.txtTo.ClientID%>').value=this.innerText;<%=this.txtTo.ClientID%>.focus();">
                                        Other - Type Here
                                    </td>
                                </tr>
                            </table>
                        </asp:Panel>
                        <cc1:DropDownExtender ID="DropDownExtender1" runat="server" DropDownControlID="pnlTo"
                            TargetControlID="txtTo">
                        </cc1:DropDownExtender>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblSubjectLabel" runat="server" Text="Subject:" CssClass="headerlabel"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtSubject" runat="server" Width="195" MaxLength="255"></asp:TextBox>
                        <cc1:FilteredTextBoxExtender ID="fteSubject" runat="server" FilterMode="ValidChars"
                            FilterType="Custom" ValidChars=" abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-:()_"
                            TargetControlID="txtSubject">
                        </cc1:FilteredTextBoxExtender>
                        <cc1:TextBoxWatermarkExtender ID="waterMarkSubject" runat="server" TargetControlID="txtSubject"
                            WatermarkText="Enter subject here..." WatermarkCssClass="watermark" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblTemplateLabel" runat="server" Text="Content Template:" CssClass="headerlabel"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlContents" runat="server" Width="200">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblTypeLabel" runat="server" Text="Type:" CssClass="headerlabel"></asp:Label>
                    </td>
                    <td>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <asp:RadioButtonList ID="rbtnListType" runat="server" AutoPostBack="true" RepeatDirection="Horizontal">
                                    <asp:ListItem Text="Recurring" Value="Recurring" Selected="True"></asp:ListItem>
                                    <asp:ListItem Text="One-Time" Value="Fixed"></asp:ListItem>
                                </asp:RadioButtonList>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <br />
                        <asp:UpdatePanel ID="upnlType" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:Panel ID="pnlRecurring" runat="server" Width="450" Height="150">
                                    <table border="0" cellpadding="1" cellspacing="5" width="450px">
                                        <tr>
                                            <td valign="top" style="width: 100px; height: 100px;">
                                                <asp:UpdatePanel ID="UpdatePanel3" runat="server">
                                                    <ContentTemplate>
                                                        <asp:RadioButtonList ID="rbtnListFrequency" runat="server" RepeatDirection="Vertical"
                                                            AutoPostBack="true">
                                                            <asp:ListItem Text="Daily" Value="1" Selected="True" />
                                                            <asp:ListItem Text="Weekly" Value="2" />
                                                            <asp:ListItem Text="Monthly" Value="3" />
                                                        </asp:RadioButtonList>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </td>
                                            <td style="width: 1px; background-color: #C0C0C0;">
                                            </td>
                                            <td valign="top" width="*">
                                                <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                                                    <ContentTemplate>
                                                        <asp:Panel ID="pnlFreqDaily" runat="server" Width="300">
                                                            <asp:Label ID="lblDailyPart1Label" runat="server" Text="Every" CssClass="headerlabel"></asp:Label>
                                                            <asp:TextBox ID="txtDailyDays" runat="server" Width="25" Text="1"></asp:TextBox>
                                                            <asp:Label ID="lblDailyPart2Label" runat="server" Text="day(s)" CssClass="headerlabel"></asp:Label>
                                                            <cc1:FilteredTextBoxExtender ID="fteTxtDailyDays" runat="server" FilterMode="ValidChars"
                                                                FilterType="Numbers" TargetControlID="txtDailyDays">
                                                            </cc1:FilteredTextBoxExtender>
                                                        </asp:Panel>
                                                        <asp:Panel ID="pnlFreqWeekly" runat="server" Visible="false">
                                                            <asp:Label ID="lblWeeeklyPar1Label" runat="server" Text="Recur every" CssClass="headerlabel"></asp:Label>
                                                            <asp:TextBox ID="txtWeeklyWeeks" runat="server" Width="25" Text="1"></asp:TextBox>
                                                            <asp:Label ID="lblWeeklyPart2Label" runat="server" Text="week(s) on:" CssClass="headerlabel"></asp:Label><br />
                                                            <br />
                                                            <asp:CheckBoxList ID="chkListWeeklyDays" runat="server" RepeatDirection="Horizontal"
                                                                RepeatLayout="Flow" Width="300">
                                                                <asp:ListItem Text="Sunday" Value="1" />
                                                                <asp:ListItem Text="Monday" Value="2" />
                                                                <asp:ListItem Text="Tuesday" Value="4" />
                                                                <asp:ListItem Text="Wednesday" Value="8" />
                                                                <asp:ListItem Text="Thursday" Value="16" />
                                                                <asp:ListItem Text="Friday" Value="32" />
                                                                <asp:ListItem Text="Saturday" Value="64" />
                                                            </asp:CheckBoxList>
                                                            <cc1:FilteredTextBoxExtender ID="fteTxtWeeklyWeeks" runat="server" FilterMode="ValidChars"
                                                                FilterType="Numbers" TargetControlID="txtWeeklyWeeks">
                                                            </cc1:FilteredTextBoxExtender>
                                                        </asp:Panel>
                                                        <asp:Panel ID="pnlFreqMonthly" runat="server" Visible="false" Width="300">
                                                            <asp:Label ID="lblMonthlyPart1Label" runat="server" Text="Day" CssClass="headerlabel"></asp:Label>
                                                            <asp:TextBox ID="txtMonthlyDayOfMonth" runat="server" Width="25" Text="1"></asp:TextBox>
                                                            <asp:Label ID="lblMonthlyPart2Label" runat="server" Text="of every" CssClass="headerlabel"></asp:Label>
                                                            <asp:TextBox ID="txtMonthlyMonths" runat="server" Width="25" Text="1"></asp:TextBox>
                                                            <asp:Label ID="lblMonthlyPart3Label" runat="server" Text="month(s)" CssClass="headerlabel"></asp:Label>
                                                            <cc1:FilteredTextBoxExtender ID="fteTxtMonthlyDayOfMonth" runat="server" FilterMode="ValidChars"
                                                                FilterType="Numbers" TargetControlID="txtMonthlyDayOfMonth">
                                                            </cc1:FilteredTextBoxExtender>
                                                            <cc1:FilteredTextBoxExtender ID="fteMonthlyMonths" runat="server" FilterMode="ValidChars"
                                                                FilterType="Numbers" TargetControlID="txtMonthlyMonths">
                                                            </cc1:FilteredTextBoxExtender>
                                                        </asp:Panel>
                                                    </ContentTemplate>
                                                    <Triggers>
                                                        <asp:AsyncPostBackTrigger ControlID="rbtnListFrequency" EventName="SelectedIndexChanged" />
                                                    </Triggers>
                                                </asp:UpdatePanel>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="background-color: #C0C0C0;" colspan="3">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">
                                                <asp:RadioButton ID="rbtnEndByDueDate" runat="server" Checked="true" GroupName="rbtnEndDate" />
                                                <asp:Label ID="lblEndDueDateLabel" runat="server" Text="End by due date" CssClass="headerlabel"></asp:Label>
                                                <asp:RadioButton ID="rbtnEndAfterOccurnaces" runat="server" GroupName="rbtnEndDate" />
                                                <asp:Label ID="lblEndAfterLabel" runat="server" Text="End after" CssClass="headerlabel"></asp:Label>
                                                <asp:TextBox ID="txtOccurances" runat="server" Width="25" Text="1"></asp:TextBox>
                                                <asp:Label ID="lblEndAfterOccurancesLabel" runat="server" Text="occurance(s)" CssClass="headerlabel"></asp:Label>
                                                <asp:RadioButton ID="rbtnNoEndDate" runat="server" GroupName="rbtnEndDate" />
                                                <asp:Label ID="lblNoEndDateLabel" runat="server" Text="No end date." CssClass="headerlabel"></asp:Label>
                                                <cc1:FilteredTextBoxExtender ID="fteTxtOccurances" runat="server" FilterMode="ValidChars"
                                                    FilterType="Numbers" TargetControlID="txtOccurances">
                                                </cc1:FilteredTextBoxExtender>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                                <asp:Panel ID="pnlFixed" runat="server" Width="425" Height="150" Visible="false">
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                        <tr>
                                            <td>
                                                <asp:RadioButton ID="rbtnFixedBeforeDueDate" runat="server" Checked="true" GroupName="rbtnFixedDate" />
                                                <asp:TextBox ID="txtDaysBeforeDueDate" runat="server" Width="25" Text="1"></asp:TextBox>
                                                <asp:Label ID="lblBeforeDueDateLabel" runat="server" Text="day(s) before due date."
                                                    CssClass="headerlabel"></asp:Label>
                                                <asp:RadioButton ID="rbtnFixedAfterDueDate" runat="server" GroupName="rbtnFixedDate" />
                                                <asp:TextBox ID="txtDaysAfterDueDate" runat="server" Width="25" Text="1"></asp:TextBox>
                                                <asp:Label ID="lblDaysAfterDueDate" runat="server" Text="day(s) after due date."
                                                    CssClass="headerlabel"></asp:Label>
                                                <cc1:FilteredTextBoxExtender ID="fteTxtDaysBeforeDueDate" runat="server" FilterMode="ValidChars"
                                                    FilterType="Numbers" TargetControlID="txtDaysBeforeDueDate">
                                                </cc1:FilteredTextBoxExtender>
                                                <cc1:FilteredTextBoxExtender ID="fteTxtDaysAfterDueDate" runat="server" FilterMode="ValidChars"
                                                    FilterType="Numbers" TargetControlID="txtDaysAfterDueDate">
                                                </cc1:FilteredTextBoxExtender>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="rbtnListType" EventName="SelectedIndexChanged" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnAdd" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnEdit" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <div align="right">
        <asp:Button ID="btnNotificationSave" runat="server" Text="Save" OnClick="btnNotificationSave_OnClick" />&nbsp;
        <asp:Button ID="btnNotificationCancel" runat="server" Text="Cancel" />&nbsp;&nbsp;&nbsp;&nbsp;
    </div>
</asp:Panel>
<cc1:ModalPopupExtender ID="mpeAddNotification" BehaviorID="mpeAddNotification" runat="server"
    PopupControlID="pnlAddNotification" TargetControlID="btnAdd" BackgroundCssClass="modalBackground"
    CancelControlID="btnNotificationCancel">
</cc1:ModalPopupExtender>
