﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Tasks.ascx.cs" Inherits="Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Widgets.Tasks" %>
<%@ Register Assembly="CISFAjaxExtenders" Namespace="Microsoft.InformationSecurity.CISF.Web.AjaxExtenders" TagPrefix="cc2" %>
<asp:Panel ID="SettingsPanel" runat="Server" Visible="False" >
<div class="widgetError" style="text-align:center;" >
    <img src='Images/warning.png' width='32' align='middle' /> No editable settings available for this widget.
</div>
</asp:Panel>

<asp:Panel ID="Panel1" runat="server">
<div style="overflow:hidden;" >
    <div class="widgetBody" >
                <!-- Begin My Tasks Grid -->
                <asp:GridView ID="gridMyTasks" runat="server" AutoGenerateColumns="False" PageSize="8" AllowPaging="true" CellSpacing="2"
            onpageindexchanging="gridMyTasks_PageIndexChanging" onsorting="gridMyTasks_Sorting" DataSourceID="tasksSource" Width="98%" GridLines="None"
            EmptyDataText="No Tasks found." EmptyDataRowStyle-HorizontalAlign="Left" >
            <PagerSettings Position="Bottom" PageButtonCount="5" />
            <PagerStyle HorizontalAlign="Right" ForeColor="Black" />
            <Columns>
                <asp:TemplateField ItemStyle-Width="15" ItemStyle-VerticalAlign="Top">
                    <ItemTemplate>
                        <div style="padding-left:5px; padding-top:3px;">
                            <img src="Images/BulletArrow.png" />
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField ItemStyle-Width="100%" ItemStyle-VerticalAlign="Top">
                    <ItemTemplate>
                        <div style="padding-left:5px; padding-top:0px">
                            <asp:HyperLink ID="TaskLink" CssClass="widgetLink" runat="server" Text='<%#Microsoft.Security.Application.AntiXss.HtmlEncode(((Microsoft.InformationSecurity.RiskManagement.ISRMWeb.TasksService.Task)Container.DataItem).Name) %>' NavigateUrl ='<%#"~/Tasks/viewtask.aspx?taskid=" + ((Microsoft.InformationSecurity.RiskManagement.ISRMWeb.TasksService.Task)Container.DataItem).ID.ToString() %>' />
                             <br />Due: <asp:Label ID="DueDate" runat="server" Text='<%#Microsoft.Security.Application.AntiXss.HtmlEncode(((Microsoft.InformationSecurity.RiskManagement.ISRMWeb.TasksService.Task)Container.DataItem).DueDate.ToString("MM/dd/yyyy")) %>'></asp:Label>
                             &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            Status: <asp:Label ID="Status" runat="server" Text='<%#Microsoft.Security.Application.AntiXss.HtmlEncode(((Microsoft.InformationSecurity.RiskManagement.ISRMWeb.TasksService.Task)Container.DataItem).Status.Name) %>'></asp:Label>
                        </div>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            </asp:GridView>
                <asp:ObjectDataSource ID="tasksSource" runat="server" EnablePaging="True" 
                                SelectMethod="Select" TypeName="Microsoft.InformationSecurity.RiskManagement.ISRMWeb.Tasks.TaskDataSource" 
                                    SelectCountMethod="SelectCount" onselecting="tasksSource_Selecting"></asp:ObjectDataSource>
                <!-- End of  My Tasks Grid-->
                <asp:Label ID="lblResults" runat="server" Text=""></asp:Label>
    </div>
</div>    
</asp:Panel>